##Win Conditions
setblock -169 31 -22 redstone_block

##Task Win Condition
setblock -166 31 -22 redstone_block

clear @a js:weapons
tag @a remove shooty_asteroider

## Impostor Select
execute @e[tag=Game_Impostor_Counter,scores={ImpostorCounter=2}] ~~~ tag @r[tag=Crewmate,tag=!Impostor] add Impostor

execute @e[tag=Game_Impostor_Counter,scores={ImpostorCounter=2}] ~~~ tag @r[tag=Crewmate,tag=!Impostor] add Impostor


execute @e[tag=Game_Impostor_Counter,scores={ImpostorCounter=1}] ~~~ tag @r[tag=Crewmate,tag=!Impostor] add Impostor

tag @a[tag=Impostor] add Impostor_Cooldown


execute @a[tag=Crewmate,tag=Impostor] ~~~ tell @a[tag=Crewmate,tag=Impostor,rm=0.01] §cis your fellow Impostor

## Player Assignment
function game/player_assign


## Task Assignment
scoreboard players operation @a[tag=!Impostor] tasksToRoll = taskCount values
execute @a[tag=!Impostor] ~ ~ ~ function game/task_assignment


scoreboard players set @a VoteScore 0


tag @a add role_reveal
tellraw @a[tag=Crewmate,tag=!Impostor] {"rawtext":[{"text":"§b§lCrewmate"}]}
tellraw @a[tag=Crewmate,tag=!Impostor] {"rawtext":[{"text":"§bTry not to be suspicious and finish your tasks!"}]}
tellraw @a[tag=Crewmate,tag=Impostor] {"rawtext":[{"text":"§c§lImpostor"}]}
tellraw @a[tag=Crewmate,tag=Impostor] {"rawtext":[{"text":"§cBlend in with the crew and eliminate everyone."}]}

tp @a[scores={PlayerNum=1}] 6 59 -12
tp @a[scores={PlayerNum=2}] 8 59 -13
tp @a[scores={PlayerNum=3}] 9 59 -14
tp @a[scores={PlayerNum=4}] 9 59 -16
tp @a[scores={PlayerNum=5}] 8 59 -17
tp @a[scores={PlayerNum=6}] 7 59 -18
tp @a[scores={PlayerNum=7}] 5 59 -18
tp @a[scores={PlayerNum=8}] 4 59 -17
tp @a[scores={PlayerNum=9}] 3 59 -16
tp @a[scores={PlayerNum=10}] 3 59 -14


give @a[tag=Crewmate,tag=!Impostor] js:tasks

effect @a slowness 3 255 true

#Task Reset
scoreboard objectives add FixWireElect dummy
scoreboard players set @a FixWireElect 0

function game/meeting_start_cooldown
tag @p[tag=Impostor] add Sabotage_Short_Cooldown
tag @a[tag=Impostor] add Fake_Task_Cooldown


scoreboard players set @e[tag=Crewmate_Counter] GameStarted 1


execute @s[tag=task1,tag=!Impostor,tag=!task1_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Electrical)"}]}
execute @s[tag=task2,tag=!Impostor,tag=!task2_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Storage)"}]}
execute @s[tag=task3,tag=!Impostor,tag=!task3_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Admin)"}]}
execute @s[tag=task4,tag=!Impostor,tag=!task4_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Security)"}]}
execute @s[tag=task5,tag=!Impostor,tag=!task5_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Cafeteria)"}]}
execute @s[tag=task6,tag=!Impostor,tag=!task6_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Fix Wiring (Navigation)"}]}
execute @s[tag=task7,tag=!Impostor,tag=!task7_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Align Lower Engine"}]}
execute @s[tag=task8,tag=!Impostor,tag=!task8_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Align upper Engine"}]}
execute @s[tag=task9,tag=!Impostor,tag=!task9_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Refuel Engine"}]}
execute @s[tag=task10,tag=!Impostor,tag=!task10_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Empty Chute (Cafeteria)"}]}
execute @s[tag=task11,tag=!Impostor,tag=!task11_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Empty Chute (Storage)"}]}
execute @s[tag=task12,tag=!Impostor,tag=!task12_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Prime Shields"}]}
execute @s[tag=task13,tag=!Impostor,tag=!task13_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Empty Chute (O2)"}]}
execute @s[tag=task14,tag=!Impostor,tag=!task14_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Swipe Card (Admin)"}]}
execute @s[tag=task15,tag=!Impostor,tag=!task15_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Download Data (Navigation)"}]}
execute @s[tag=task15_done_half,tag=!Impostor,tag=!task15_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Upload Data (Admin)"}]}
execute @s[tag=task16,tag=!Impostor,tag=!task16_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Download Data (Weapons)"}]}
execute @s[tag=task16_done_half,tag=!Impostor,tag=!task16_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Upload Data (Admin)"}]}
execute @s[tag=task17,tag=!Impostor,tag=!task17_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Download Data (Communications)"}]}
execute @s[tag=task17_done_half,tag=!Impostor,tag=!task17_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Upload Data (Admin)"}]}
execute @s[tag=task18,tag=!Impostor,tag=!task18_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Download Data (Electrical)"}]}
execute @s[tag=task18_done_half,tag=!Impostor,tag=!task18_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Upload Data (Admin)"}]}
execute @s[tag=task19,tag=!Impostor,tag=!task19_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Download Data (Cafeteria)"}]}
execute @s[tag=task19_done_half,tag=!Impostor,tag=!task19_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Upload Data (Admin)"}]}

execute @s[tag=task21,tag=!Impostor,tag=!task21_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task21_done_half,tag=!Impostor,tag=!task21_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Communications)"}]}
execute @s[tag=task22,tag=!Impostor,tag=!task22_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task22_done_half,tag=!Impostor,tag=!task22_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Shields)"}]}
execute @s[tag=task23,tag=!Impostor,tag=!task23_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task23_done_half,tag=!Impostor,tag=!task23_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Navigation)"}]}
execute @s[tag=task24,tag=!Impostor,tag=!task24_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task24_done_half,tag=!Impostor,tag=!task24_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (O2)"}]}
execute @s[tag=task25,tag=!Impostor,tag=!task25_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task25_done_half,tag=!Impostor,tag=!task25_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Weapons)"}]}
execute @s[tag=task26,tag=!Impostor,tag=!task26_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task26_done_half,tag=!Impostor,tag=!task26_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Upper Engine)"}]}
execute @s[tag=task27,tag=!Impostor,tag=!task27_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task27_done_half,tag=!Impostor,tag=!task27_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Lower Engine)"}]}
execute @s[tag=task28,tag=!Impostor,tag=!task28_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Divert Power (Electrical)"}]}
execute @s[tag=task28_done_half,tag=!Impostor,tag=!task28_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Accept Power (Reactor)"}]}
execute @s[tag=task29,tag=!Impostor,tag=!task29_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Unlock Manifolds (Reactor)"}]}
execute @s[tag=task30,tag=!Impostor,tag=!task30_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Start Reactor (Reactor)"}]}
execute @s[tag=task31,tag=!Impostor,tag=!task31_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Submit Scan (Medbay)"}]}
execute @s[tag=task32,tag=!Impostor,tag=!task32_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Calibrate Distributor (Electrical)"}]}
execute @s[tag=task33,tag=!Impostor,tag=!task33_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Stabilize Steering (Navigation)"}]}
execute @s[tag=task34,tag=!Impostor,tag=!task34_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Inspect Sample (Medbay)"}]}
execute @s[tag=task35,tag=!Impostor,tag=!task35_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Chart Course (Navigation)"}]}
execute @s[tag=task36,tag=!Impostor,tag=!task36_done] ~~~ tellraw @s {"rawtext":[{"text":"§l§b[!] Clean O2 Filter (O2)"}]}

execute @e[tag=Crewmate_Counter,scores={EMeetSet=1}] ~~~ scoreboard players set @a EMeeting 1
execute @e[tag=Crewmate_Counter,scores={EMeetSet=2}] ~~~ scoreboard players set @a EMeeting 2
execute @e[tag=Crewmate_Counter,scores={EMeetSet=3}] ~~~ scoreboard players set @a EMeeting 3
execute @e[tag=Crewmate_Counter,scores={EMeetSet=4}] ~~~ scoreboard players set @a EMeeting 4
execute @e[tag=Crewmate_Counter,scores={EMeetSet=5}] ~~~ scoreboard players set @a EMeeting 5



scoreboard players set total_tasks TaskCount 0
execute @a[tag=task1,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task2,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task3,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task4,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task5,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task6,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task7,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task8,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=tas9,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task10,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task11,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task12,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task13,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task14,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task15,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task16,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task17,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task18,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task19,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task20,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task21,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task22,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task23,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task24,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task25,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task26,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task27,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task28,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task29,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task30,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task31,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task32,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task33,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task34,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task35,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1
execute @a[tag=task36,tag=!Impostor] ~~~ scoreboard players add total_tasks TaskCount 1

summon js:reactor_sabotage -47 68 -2
execute @a[tag=host] ~~~ setmaxplayers 1


kill @e[type=js:elevator_music]